<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title></title>
</head>
<body>

	<header>
	<!-- div tag creates a container element that's used to group certain elements together -->
		<h1>HTML Table and Forms</h1>
	</header>

	<main>
		<h2>HTML Entities</h2>
		<p><em>Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code.)</em></p>

		<section>
			<table border="1">
			<!-- This defines an HTML Table -->

				<thead>
				<!-- Used to group table header content -->

					<tr>
					<!-- This defines the table row -->

						<th colspan="2">Entity</th>
						<th>Description</th>
						<!-- 
							This defines a table header element

							colspan defines the amount of columns the table header occupies
						 -->

					</tr>
				</thead>

				<tbody>
				<!-- Used to group table body content -->

				<tr>
					<td>&lt;</td>
					<td>lt</td>
					<td>less than</td>
					<!-- This defines a table data element -->

				</tr>

				<tr>
					<td>&gt;</td>
					<td>gt</td>
					<td>greater than</td>
				</tr>

				<tr>
					<td>&#8369;</td>
					<td>#8369</td>
					<td>Peso sign</td>
				</tr>

				<tr>
					<td>&amp;</td>
					<td>amp</td>
					<td>ampersand</td>
				</tr>

				<tr>
					<td>&quot;</td>
					<td>quot</td>
					<td>double quotation mark</td>
				</tr>

				<tr>
					<td>&apos;</td>
					<td>apos</td>
					<td>single quotation mark</td>
				</tr>

				<tr>
					<td>&ntilde;</td>
					<td>ntilde</td>
					<td>lower tilde</td>
				</tr>

				<tr>
					<td>&Ntilde;</td>
					<td>Ntilde</td>
					<td>upper tilde</td>
				</tr>

				</tbody>

				<tfoot>
				<!-- Used to group table footer content -->

					<tr>
						<th colspan="3">List of HTML entities</th>
					</tr>

				</tfoot>

			</table>
		</section>

		<br>

		<section>
			<h2>HTML Forms</h2>
			<p><em>Input elements that make up a form.</em></p>

			<form action="https://google.com">
			<!-- Creates an HTML form to capture user input -->

				<label for="full_name">Full Name:</label><br>
				<input type="text" name="full_name" id="full_name" required><br><br>

				<label for="birth_date">Birth Date:</label><br>
				<input type="date" name="birth_date" id="birth_date" required><br><br>

				<label for="age">Age:</label><br>
				<input type="number" name="age" id="age" required><br><br>

				<label for="gender">Gender:</label><br>
				<select name="gender" id="gender">
				<!-- Creates a dropdown menu -->

					<option value="male">Male</option>
					<option value="female">Female</option>

				</select><br><br>

				<label for="notes">Notes:</label><br>
				<textarea name="notes" rows="5" id="notes"></textarea><br><br>

				<label>New User:</label><br>
				<input type="radio" name="new_user" id="user-type1" value="yes">
				<label for="user-type1">Yes</label><br>

				<input type="radio" name="new_user" id="user-type2" value="no">
				<label for="user-type2">No</label><br><br>
				<!-- Radio Buttons -->

				<label>Role:</label><br>
				<input type="checkbox" name="role1" id="role1" value="developer">
				<label for="role1">Developer</label><br>

				<input type="checkbox" name="role2" id="role2" value="student">
				<label for="role2">Student</label><br>

				<input type="checkbox" name="role3" id="role3" value="manager">
				<label for="role3">Manager</label><br>
				<!-- Check Box -->

				<br>

				<button type="submit">Submit</button>
				<!-- This allows us to create a button that will submit the form data -->

				<button type="reset">Reset</button>
				<!-- This allows us to create a button that will clear the form data -->

			</form>
		</section>
	</main>

</body>
</html>